<bugID>1374476<Summary>Firefox   release 20170616104331 broke my session restore</Summary><Description>User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Build ID: 20170616104331

Steps to reproduce:

I stopped firefox to install Ubuntu/Linux Mint upgrade package to release  	20170616104331 (not by quitting, but by killing it). 


Actual results:

after that all attempts to restore the sessions failed.
I looked into sess-backups and sessionstore-backups, there I found what appeared to be the upgrade backup. But none of these files workes as sessionstore.js.

When I set them into the profile directory and rename them to sessionstore.js then Firefox will start into a totally empty page (when I have automatic session reload active). When I have the default page active, I can click on restore the last session. Which also results in an entirely blank page.

The chronic feature of restoring the previous session is always grayed out, even when I present another upgrade backup as either sessionstore.bak or previos.js.



Expected results:

The dialog "oops that should not have happen&#233;d" should have come up. But even when I manually go to about:sessionrestore, then the dialog comes, but is completely empty.

Unfortunately my backup sessionstores are way to large to atttach here (many many megabytes)...

I have had a similiar experience a long while ago (also filed a bug report, but the problem went away by its own).</Description></bugID>